udftools

- Main Page
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Public Attributes | List of all members
fileSetDesc Struct Reference

`#include <ecma_167.h>`

Collaboration diagram for fileSetDesc:

## Public Attributes
tag | descTag
timestamp | recordingDateAndTime
uint16_t | interchangeLvl
uint16_t | maxInterchangeLvl
uint32_t | charSetList
uint32_t | maxCharSetList
uint32_t | fileSetNum
uint32_t | fileSetDescNum
charspec | logicalVolIdentCharSet
dstring | logicalVolIdent [128]
charspec | fileSetCharSet
dstring | fileSetIdent [32]
dstring | copyrightFileIdent [32]
dstring | abstractFileIdent [32]
long_ad | rootDirectoryICB
regid | domainIdent
long_ad | nextExt
long_ad | streamDirectoryICB
uint8_t | reserved [32]

## Detailed Description

Definition at line 425 of file ecma_167.h.

## Member Data Documentation

dstring fileSetDesc::abstractFileIdent[32]

Definition at line 440 of file ecma_167.h.

uint32_t fileSetDesc::charSetList

Definition at line 431 of file ecma_167.h.

dstring fileSetDesc::copyrightFileIdent[32]

Definition at line 439 of file ecma_167.h.

tag fileSetDesc::descTag

Definition at line 427 of file ecma_167.h.

regid fileSetDesc::domainIdent

Definition at line 442 of file ecma_167.h.

charspec fileSetDesc::fileSetCharSet

Definition at line 437 of file ecma_167.h.

uint32_t fileSetDesc::fileSetDescNum

Definition at line 434 of file ecma_167.h.

dstring fileSetDesc::fileSetIdent[32]

Definition at line 438 of file ecma_167.h.

uint32_t fileSetDesc::fileSetNum

Definition at line 433 of file ecma_167.h.

uint16_t fileSetDesc::interchangeLvl

Definition at line 429 of file ecma_167.h.

dstring fileSetDesc::logicalVolIdent[128]

Definition at line 436 of file ecma_167.h.

charspec fileSetDesc::logicalVolIdentCharSet

Definition at line 435 of file ecma_167.h.

uint32_t fileSetDesc::maxCharSetList

Definition at line 432 of file ecma_167.h.

uint16_t fileSetDesc::maxInterchangeLvl

Definition at line 430 of file ecma_167.h.

long_ad fileSetDesc::nextExt

Definition at line 443 of file ecma_167.h.

timestamp fileSetDesc::recordingDateAndTime

Definition at line 428 of file ecma_167.h.

uint8_t fileSetDesc::reserved[32]

Definition at line 445 of file ecma_167.h.

long_ad fileSetDesc::rootDirectoryICB

Definition at line 441 of file ecma_167.h.

long_ad fileSetDesc::streamDirectoryICB

Definition at line 444 of file ecma_167.h.

The documentation for this struct was generated from the following file:

- include/ecma_167.h